function Contents()
%--------------------------------------------------------------------------
% AUTHOR:- WUYANG DAI & SAUPTIK DHAR
% GUIDED BY:- PROFESSOR VLADIMIR CHERKASSKY
% 
% UNIVERSUM (SOFTWARE PACKAGE)
% This package is designed to improve usability of Universum SVM (U-SVM)
% classification software [Weston et al,  ] for general users. 
% This includes automated provisions for 
%       (a) tuning parameters of U-SVM; 
%       (b) comparison between U-SVM and standard SVM classifiers, and 
%       (c) graphical representation of estimated SVM and U-SVM models, 
%           using univariate projection of the training data. 
% This PACKAGE has been extensively designed keeping in focuss the paper.
% 'Practical Conditions for Effectiveness of the Universum
% Learning',V.Cherkassky and W.Dai.The basic contents of this package is given below
%--------------------------------------------------------------------------
% INTERFACES (The Basic Interfaces)
%-------------------------------------------------------------------------- 
% rununiversvm:- This is the main interface to run the STANDARD/UNIVERSUM
% SVM.
%
% createFile:- This is used to create a File in the current directory.
%
% writeFile:- This interface is used to write the data to a file that is
% readable to the UNIVERSVM interface.Basically it creates the LIBSVM file
% format.
%
% dispAllFiles:- This is used to display all Files in the current directory.
%
% cleanData:- This is used to clean(delete) all data Files in the current
% directory.
%
% generateUnivSamp:- This is used to generate Universum samples by Random Averaging.
%
% modelfileread:- This is used to read the Model(.mdl) files generated by
% using the rununiversvm interface.
%
% outputfileread:- This is used to get the Projection data(training/test)
% along the normal direction vector of the model obtained using rununiversvm.
%
% readOutputStr:- This interface is used to get the Output data/Remp and
% Rpred data.This internally calls the outputfileread interface.
%
% getUnivProj:- This interface is used to get the Universum data projection along
%               the normal direction vector of the model obtained.
% 
% hist_of_output:- This interface Plots the Univariate Histogram of the Projection of the 
%                  training data onto the normal direction vector of the
%                  model.
% hist_of_output_with_univ:- This interface Plots the Univariate Histogram of the Projection of the 
%                  training/universum data onto the normal direction vector of the
%                  model.
% ------------------------------------------------------------------------
% EXPERIMENTS (These are the experiments that are automated for the users)
%-------------------------------------------------------------------------
% ExpwithValSet:- This experiment is designed to perform STANDARD/UNIVERSUM
% SVM model selection on a set of parameters specified.The Model selection
% is done on a Validation set provided alongwith.Currently the interface
% only supports 'linear' and 'rbf' types of kernels.
%
% ExpwithCrossVal:- This experiment is designed to perform STANDARD/UNIVERSUM
% SVM model selection on a set of parameters specified.The Model selection
% is done by Cross-Validation.Currently the interface only supports 'linear'
% and 'rbf' types of kernels.(currently under progress..)
% 
%--------------------------------------------------------------------------
% DATA
% -------------------------------------------------------------------------
% generateHypercubedata:- This interface is used to generate the Synthetic 
% Hypercube data.For description please see pg 9 of the paper.
% 
% mnistdata:- This interface is used to load MNIST data as described in
% the paper 'Practical Conditions for Effectiveness of the Universum
% Learning'.
%--------------------------------------------------------------------------
% EXAMPLES
%--------------------------------------------------------------------------
% example3:- This example is developed the show the experimental results given in Table 3 
%'Practical Conditions for Effectiveness of the Universum
% Learning'. 
%
% example5:- This example is developed the show the experimental results given in Table 5 
% 'Practical Conditions for Effectiveness of the Universum
%  Learning'.By changing the number of samples this package can be used for
%  TABLE 6.
%--------------------------------------------------------------------------
% ENGINE (universvm.exe)
%--------------------------------------------------------------------------
% This binary executable is the Heart of the package.This is publicly
% available from
% http://www.kyb.tuebingen.mpg.de/bs/people/fabee/universvm.html
%--------------------------------------------------------------------------
help Contents;